## oroborus 1.14.0

=== Makefile ===
CC        = gcc
CFLAGS    = -g -O2 -Wall
XROOT     = /usr/X11R6
INCLUDES  = -I$(XROOT)/include
LIBS      = -lX11 -lXext -lXpm #-lXinerama
LDPATH    = -L$(XROOT)/lib

PROG      = oroborus
VERSION   = 1.14.0
PREFIX    = /usr
FONT      = *-helvetica-bold-r-normal-*-*-120-*
THEME     = default
RCFILE    = -DRCFILE=\".oroborusrc\"
DATADIR   = -DDATADIR=\"$(PREFIX)/share/$(PROG)\"
SHAPE     = -DSHAPE_SUPPORT
KEYBOARD  = -DKEYBOARD_SUPPORT
LAYER     = -DLAYER_SUPPORT
WORKSPACE = -DWORKSPACE_SUPPORT
XINERAMA  = #-DXINERAMA_SUPPORT
EMULATE   = #-DEMULATE_XINERAMA
I18N      = -DI18N_SUPPORT
DEBUG     = #-DDEBUG
DEFINES   = $(RCFILE) $(DATADIR) $(SHAPE) $(KEYBOARD) $(LAYER) $(WORKSPACE) $(XINERAMA) $(EMULATE) $(I18N) $(DEBUG)

HEADERS   = $(PROG).h parse_rc.h
OBJS      = $(PROG).o client.o events.o parse_rc.o pixmaps.o config.o hints.o misc.o keyboard.o workspace.o

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

clean:
	rm -f $(PROG) $(OBJS) core

install:all
	install $(PROG) $(PREFIX)/bin
	install -d $(PREFIX)/share/$(PROG)
	install -d $(PREFIX)/doc/$(PROG)-$(VERSION)
	./install_rc $(PREFIX) $(PROG) $(THEME) $(FONT) > $(PREFIX)/share/$(PROG)/oroborusrc
	cp -R themes $(PREFIX)/share/$(PROG)
	cp -R doc $(PREFIX)/doc/$(PROG)-$(VERSION)

uninstall:
	rm -f $(PREFIX)/bin/$(PROG)
	rm -rf $(PREFIX)/share/$(PROG)

## oroborus 2.0.12-1

=== debian/changelog ===
oroborus (2.0.12-1) unstable; urgency=low

  * *argh* corrected configure.in, this won't happen again, configure.in
    now determines the version and package name from debian/rules.
  * fixed the startup initialization of some root hints (needed for the
    GNOME2 desktop switcher).
  * fixed the position of the root (nautilus) window, which sometimes
    appeared in front of the GNOME2 dock.
  * Fixed maximizing for GOME2 panels.
    Closes: #168315
  * Added the BeOS theme, which was created by Juergen Becker.
  * Fixed the layer which GNOME2 panels use.
  * Fixed autheader error messages.
  * Fixed Window in Window handling.
    Closes: #168314
  * Make Mod5 work again.
    Closes: #176053

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 20 Feb 2003 19:50:43 +0100

oroborus (2.0.11-1) unstable; urgency=low

  * Fixed the "supported" hints so most fullscreen using applications
    should now work again.
  * Some further minor code cleanups.
  * Removed the CC=gcc-3.2 stuff since debian unstable is on gcc-3.2.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Fri, 17 Jan 2003 23:59:01 +0100

oroborus (2.0.10-2) unstable; urgency=low

  * Some small changes to the c code, mostly vim modeline changes.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sat, 28 Dec 2002 11:46:08 +0100

oroborus (2.0.10-1) unstable; urgency=low

  * Added the missing parsing of *rcfile, so now --file and -r *really*
    works.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu,  5 Sep 2002 10:23:42 +0200

oroborus (2.0.9-1) unstable; urgency=low

  * Whoops, wrong parameter in the getopt string.
    Now things like --file and -r are working again.
  * Updated the manpage.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed, 28 Aug 2002 09:46:00 +0200

oroborus (2.0.8-1) unstable; urgency=low

  * Don't raise or shade the "desktop" window. (for example nautilus2)
  * Some malloc() fixes, thanks to ccmalloc (apt-cache show ccmalloc).

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed, 14 Aug 2002 06:17:32 +0200

oroborus (2.0.7-1) unstable; urgency=low

  * Fixed some Segfaults when checking the Window Class.
    Closes: #154010
  * Fixed a Segfault in clientRaise(client).
  * Fixed error.h, so Oroborus now builds cleanly on non-GNU systems,
    like for example Solaris.
  * Updated some of the documentation.
  * Fixed the positioning of windows.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed, 31 Jul 2002 02:28:07 +0200

oroborus (2.0.6-1) unstable; urgency=low

  * Added some fixes from Alexander J. Pierce, now the raise_on_click
    Option is working again.
  * Added a Patch from Martin Hedenfalk for setting the old size on windows,
    when restarting Oroborus. This fixes wrong windowsizes, when you are
    restarting Oroborus and have some maximized windows open.
  * Use /bin/kill.
    Closes: #150406
  * Fixed some of the mouse warping.
  * Fixed Icon handling of Rox, Gmc and possibly Nautilus.
  * Added getopt.
  * Added some parts from EWMH for Gnome2 support.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sat, 29 Jun 2002 18:35:24 +0200

oroborus (2.0.5-1) unstable; urgency=low

  * Fixed the themes.
  * Fixed handling of transient windows.
  * Fixed the example file.
  * Fixed grabbing of keys, now grabs Num-lock & Scroll-lock versions also.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sat,  8 Jun 2002 18:38:50 +0200

oroborus (2.0.4-17) unstable; urgency=low

  * Fixed the wrong snapping of windows to desktop icons.
  * Added a menu entry.
  * Corrected the sources, now including a GPL notice everywhere.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 13 May 2002 00:11:43 +0200

oroborus (2.0.4-16) unstable; urgency=low

  * Fixed the missing action for the Quit Key.
  * Fixed the wrong example. (wrong path)
  * Fixed the title of the Manpage (no this is not MCFMT).
  * Changed the default font to helvetica.
  * Removed the Makefile*'s from the theme directory in the .deb
  * Oroborus is now automagicaly restartet on upgrade.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed,  8 May 2002 13:50:59 +0200

oroborus (2.0.4-15) unstable; urgency=low

  * Small fix from execve to execvp.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue,  7 May 2002 03:17:23 +0200

oroborus (2.0.4-14) unstable; urgency=low

  * Added a Quit Key, defaults to Control + Mod1 + Q.
  * Fixed the priority of ~/.oroborusrc, now has a higher prio than everyting
    else.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue,  7 May 2002 02:56:45 +0200

oroborus (2.0.4-13) unstable; urgency=low

  * Correctly implemented the exec call (not in the sighandler! *d'oh*).
  * Added a manpage.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue,  7 May 2002 01:53:39 +0200

oroborus (2.0.4-12) unstable; urgency=low

  * Moved the typeDesktop checking code where it belongs, in hints.c.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  6 May 2002 22:19:26 +0200

oroborus (2.0.4-11) unstable; urgency=high

  * D'oh silly small bug (please don't ask me *grin*) 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  6 May 2002 21:27:22 +0200

oroborus (2.0.4-10) unstable; urgency=low

  * Changed some signal handlers, now Oroborus exec's itself when
    catching a SIGHUP. It also correctly waits for children. (no
    more "defunct" processes.) (So you can now use Oroborus as your
    "pseudo-session-manager", at the end of your ~/.xsession)
  * Fixed handling of NET_WM_WINDOW_TYPE_DESKTOP. Now Oroborus 
    never raises icons on the Desktop (for example with ROX-Filer)
    and it also doesnt move Windows behind these Icons.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  6 May 2002 19:26:26 +0200

oroborus (2.0.4-9) unstable; urgency=low

  * Fixed (hopefully now) segfaults when using libXpm. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Fri,  3 May 2002 15:07:06 +0200

oroborus (2.0.4-8) unstable; urgency=low

  * Fixed segfaults when no client was active.
  * Fixed segfaults (again *shrug*) when resizing an XPM.



=== debian/control ===
Source: oroborus
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 2), xlibs-dev, gcc-3.2, automake1.7, autoconf (>= 2.57-1)
Standards-Version: 3.5.8.0

Package: oroborus
Architecture: any
Provides: x-window-manager
Priority: optional
Suggests: deskmenu, desklaunch, keylaunch
Depends: ${shlibs:Depends}
Description: A lightweight themeable windowmanager for X
 Oroborus is a small and simple window manager which does exactly what
 it says it does, manage windows. There is no fancy doc, clip, wharf, or a
 root menu for that matter. These utilities can be provided by other programs
 such as "deskmenu". Oroborus has support for Gnome and session management,
 or can be run as a stand-alone window manager. This package has also been
 compiled with Xinerama support.
 .
 Oroborus is small, about 50Kb at the time of this package. It has full
 keyboard control and is very themeable.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# first check if the configure already exists, if not generate it.
	#test -f configure || $(MAKE) -f Makefile.cvs
	# then run the configure script
	./configure --prefix=/usr --mandir=/usr/share/man
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CC=gcc-3.2
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean
	#test -f Makefile.cvs && $(MAKE) -f Makefile.cvs clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin

	$(MAKE) install DESTDIR=$(CURDIR)/debian/oroborus

binary-indep: build install
# bah!

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## oroborus 2.0.13-1

=== debian/changelog ===
oroborus (2.0.13-1) unstable; urgency=low

  * New Release.
  * Fix some MPlayer fullscreen problems.
    Xine is somehow still broken, it sends a wrong message to Oroborus for
    raising the window. This will hopefully soon be fixed. (to a standards
    compliant way!) Everybody who is interested may contact me for a fixed
    xine debian package.
  * Fixed some window placing problems after fullscreen mode.
  * Added a new config option "cycle_workspaces".
  * Corrected some theme configs.
    Note: No theme config should contain keybindings!
  * Added correct fullscreen support. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 19 May 2003 02:09:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 2), xlibs-dev, gcc-3.2, automake1.7, autoconf (>= 2.57-1)
+Build-Depends: debhelper (>= 2), xlibs-dev, automake1.7, autoconf (>= 2.57-1)
 Standards-Version: 3.5.8.0
 
 Package: oroborus

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	# first check if the configure already exists, if not generate it.
-	#test -f configure || $(MAKE) -f Makefile.cvs
+	test -f configure || $(MAKE) -f Makefile.cvs
 	# then run the configure script
 	./configure --prefix=/usr --mandir=/usr/share/man
 	touch configure-stamp
@@ -16,7 +16,7 @@
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) CC=gcc-3.2
+	$(MAKE)
 	touch build-stamp
 
 clean:
@@ -25,7 +25,7 @@
 	rm -f build-stamp configure-stamp
 	-$(MAKE) distclean
 	dh_clean
-	#test -f Makefile.cvs && $(MAKE) -f Makefile.cvs clean
+	test -f Makefile.cvs && $(MAKE) -f Makefile.cvs clean
 
 install: DH_OPTIONS=
 install: build

## oroborus 2.0.13-1ubuntu1

=== debian/changelog ===
oroborus (2.0.13-1ubuntu1) hoary; urgency=low

  * debian/control:Build-Depends: Add libxxf86vm-dev, fixing FTBFS on
    all arches (!).

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Wed,  6 Apr 2005 22:04:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 2), xlibs-dev, automake1.7, autoconf (>= 2.57-1)
+Build-Depends: debhelper (>= 2), xlibs-dev, libxxf86vm-dev, automake1.7, autoconf (>= 2.57-1)
 Standards-Version: 3.5.8.0
 
 Package: oroborus

## oroborus 2.0.15ubuntu1

=== debian/changelog ===
oroborus (2.0.15ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Update build-depends per Debian dropped patch

 -- Barry deFreese <bddebian@comcast.net>  Mon, 25 Jul 2005 01:43:30 +0000

oroborus (2.0.15) unstable; urgency=low

  * New Release.
  * Add some Themes (defold, bluecurve, mkultra, Elberg_Red, Elberg_Green,
    Elberg_Blue)
  * Fix "oroborus -V".

 -- Stefan Pfetzing <dreamind@dreamind.de>  Fri,  1 Jul 2005 16:41:07 +0200

oroborus (2.0.14) unstable; urgency=low

  * New Release.
  * Some people complained about it, so fix the focus issues.
  * Use arch for version control.
  * Lintian fixes.
  * Manpage fixes. (Closes: #270683, #270682)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 30 Jun 2005 13:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 2), xlibs-dev, libxxf86vm-dev, automake1.7, autoconf (>= 2.57-1)
-Standards-Version: 3.5.8.0
+Build-Depends: debhelper (>= 3), xlibs-dev, libxxf86vm-dev
+Standards-Version: 3.6.2
 
 Package: oroborus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,13 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
-export DH_COMPAT=2
+#export DH_VERBOSE=1
+export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-	# first check if the configure already exists, if not generate it.
-	test -f configure || $(MAKE) -f Makefile.cvs
-	# then run the configure script
+	# Run the configure
+	chmod 755 configure 
 	./configure --prefix=/usr --mandir=/usr/share/man
 	touch configure-stamp
 
@@ -21,11 +19,10 @@
 
 clean:
 	dh_testdir
-	dh_testroot
+#	dh_testroot
 	rm -f build-stamp configure-stamp
 	-$(MAKE) distclean
 	dh_clean
-	test -f Makefile.cvs && $(MAKE) -f Makefile.cvs clean
 
 install: DH_OPTIONS=
 install: build

## oroborus 2.0.17ubuntu1

=== debian/changelog ===
oroborus (2.0.17ubuntu1) dapper; urgency=low

  * Resynchronise with Debian:
    - debian/control: Readd build dependency on libxxf86vm-dev.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Tue, 10 Jan 2006 13:20:09 +0000

oroborus (2.0.17) unstable; urgency=low

  * Finally use select(). This should improve latency.
  * Clean up the code when using --enable-debug.
  * Fix xlibs-dev build-dependancy. (Closes: #346891)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  9 Jan 2006 17:22:38 +0100

oroborus (2.0.16) unstable; urgency=low

  * Fix Fullscreen handling a bit.
  * Several gcc-4.0 (-Wall, -pedantic) fixes. (more will come)
  * Kill Processes, when xkilling them.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 14 Jul 2005 02:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 3), xlibs-dev, libxxf86vm-dev
+Build-Depends: debhelper (>= 3), libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev, libxxf86vm-dev
 Standards-Version: 3.6.2
 
 Package: oroborus

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## oroborus 2.0.18

=== debian/changelog ===
oroborus (2.0.18) unstable; urgency=low

  * Remove XF86vmode includes.
  * Remove XF86vmode stuff from configure.ac.
  * XF86VidModeGetViewPort was never correctly implemented, so remove it.
  * Really fix xlibs-dev build-dependancy now. (Closes: #346891)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 12 Jan 2006 16:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 3), libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev, libxxf86vm-dev
+Build-Depends: debhelper (>= 3), x-dev, libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev
 Standards-Version: 3.6.2
 
 Package: oroborus
@@ -19,5 +19,5 @@
  or can be run as a stand-alone window manager. This package has also been
  compiled with Xinerama support.
  .
- Oroborus is small, about 50Kb at the time of this package. It has full
+ Oroborus is small, about 72Kb at the time of this package. It has full
  keyboard control and is very themeable.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 configure-stamp:
 	dh_testdir
 	# Run the configure
-	chmod 755 configure 
 	./configure --prefix=/usr --mandir=/usr/share/man
 	touch configure-stamp

## oroborus 2.0.19

=== debian/changelog ===
oroborus (2.0.19) unstable; urgency=low

  * Depend on x11proto-core-dev and not on x-dev. (Closes: #515451) 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 15 Feb 2009 23:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 3), x-dev, libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev
+Build-Depends: debhelper (>= 3), x11proto-core-dev, libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev
 Standards-Version: 3.6.2
 
 Package: oroborus

## oroborus 2.0.20

=== debian/changelog ===
oroborus (2.0.20) unstable; urgency=low

  * Remove {arch} crap from source.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 16:36:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 3), x11proto-core-dev, libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 7), x11proto-core-dev, libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev
+Standards-Version: 3.8.4
 
 Package: oroborus
 Architecture: any
 Provides: x-window-manager
 Priority: optional
 Suggests: deskmenu, desklaunch, keylaunch
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: A lightweight themeable windowmanager for X
  Oroborus is a small and simple window manager which does exactly what
  it says it does, manage windows. There is no fancy doc, clip, wharf, or a

## oroborus 2.0.20build1

=== debian/changelog ===
oroborus (2.0.20build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:38:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oroborus
 Section: x11
 Priority: optional
-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
 Build-Depends: debhelper (>= 7), x11proto-core-dev, libxpm-dev, libxext-dev, libx11-dev, libsm-dev, libice-dev
 Standards-Version: 3.8.4

## oroborus 2.0.20+nmu1

=== debian/changelog ===
oroborus (2.0.20+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957645)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 04 Aug 2020 19:36:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -20,14 +19,14 @@
 	dh_testdir
 #	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 
 install: DH_OPTIONS=
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs usr/bin
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/oroborus
